%define namesuffix      gcide
%define license		Public Domain
%define summary_prefix	GCIDE
%define descr_prefix	%{summary_prefix} (0.44)
%define src		ftp://ftp.dict.org/pub/dict/pre/dict-gcide-0.44.tar.gz
%define dict_filename	%{namesuffix}

%define summ_desc_suf	for dictd

%define summary		%{summary_prefix} %{summ_desc_suf}
%define descr		%{descr_prefix} %{summ_desc_suf}
%define name		dictd-dicts-%{namesuffix}
%define version         0.1.0
%define release         3mdk
%define group           Databases

%define __dictzip       %(which dictzip)
%define dictd_name      dictd
%define dictd_version   1.9.7

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	%{license}
Group:		%{group}
Source:		%{src}
Provides:	dictd-dicts-%{namesuffix}, dictd-dicts-%{namesuffix}
Obsoletes:	dictd-dicts-%{namesuffix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	%{dictd_name} = %{dictd_version}
Provides:	dictd-dictionary, dictd-dictionaries
Requires:	%{dictd_name} = %{dictd_version}

%description
%{descr}

%prep
%setup -c -q

%build
# dictzip the dict dictionary file, if it's not yet zipped
if ls *.dict >/dev/null 2>&1; then
	dictzip *.dict
fi

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/dict
cp %{dict_filename}*dict* %{buildroot}%{_datadir}/dict
cp %{dict_filename}*index* %{buildroot}%{_datadir}/dict

%clean
%{__rm} -rf %{buildroot}

%post
printf "database %%-10s\t{ data \"%{_datadir}/dict/%{dict_filename}.dict.dz\"\n" %{dict_filename} >> %{_sysconfdir}/dictd.conf
printf "\t\t\t  index \"%{_datadir}/dict/%{dict_filename}.index\" }\n" >> %{_sysconfdir}/dictd.conf
echo "Restarting dictd-server, because configuration has been changed..."
service dictd-server reload

%postun
tempfile=$(mktemp /tmp/%{name}.dictd.conf.XXXXXX)
cat %{_sysconfdir}/dictd.conf \
	| sed -e '/^database.*%{dict_filename}/d' \
	| sed -e '/^[	].*index.*%{dict_filename}/d' \
	> $tempfile
cat ${tempfile} > %{_sysconfdir}/dictd.conf
%{__rm} -f ${tempfile}
echo "Restarting dictd-server, because configuration has been changed..."
service dictd-server reload

%files
%defattr(644, root, root)
%{_datadir}/dict/%{dict_filename}*dict*
%{_datadir}/dict/%{dict_filename}*index*

%changelog
* Tue Mar 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-3mdk
- fix required version

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- rebuild

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.0-1mdk
- First release for MandrakeLinux

